Deskhero Developer Hub
Back to deskhero.com
Account

Cognito sign up confirm

Confirms the sign up verification code and, when a password is supplied as well, creates the account and signs the new user in. Throttled to 10 attempts per 30 minutes per email address and per IP.

POST /api/sys/v{version:apiVersion}/account/cognito_sign_up_confirm
Authorisation
No authentication needed

Request arguments

Name Type Source
inputDTO_cognito_sign_up_confirmBody
Request body example

Response

Status
200 (OK)
Type
DTO_acknowledgement
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 429 (TooManyRequests)
Response body example
DTO_cognito_sign_up_confirm
NameTypeReadOnlyDescription
emailStringEmail
verification_codeStringVerification code
passwordStringPassword
DTO_acknowledgement
NameTypeReadOnlyDescription
messageStringMessage

Generated Aug 4, 2026 18:37